import * as $dara from '@darabonba/typescript';
import { DescribeImageSharePermissionResponseBody } from "./DescribeImageSharePermissionResponseBody";
export declare class DescribeImageSharePermissionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeImageSharePermissionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
